diff --git a/src/cppunit/Makefile.in b/src/cppunit/Makefile.in
index aa68cb0..51af3a3 100644
--- a/src/cppunit/Makefile.in
+++ b/src/cppunit/Makefile.in
@@ -87,7 +87,7 @@ am_libcppunit_la_OBJECTS = AdditionalMessage.lo Asserter.lo \
 libcppunit_la_OBJECTS = $(am_libcppunit_la_OBJECTS)
 libcppunit_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
-	$(CXXFLAGS) $(libcppunit_la_LDFLAGS) $(LDFLAGS) -o $@
+	$(CXXFLAGS) $(libcppunit_la_LDFLAGS) $(LDFLAGS) -o $@ @LIBADD_DL@
 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/config
 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
 am__depfiles_maybe = depfiles
